- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
mysqlpp::Set< Container > Class Template Reference

A special std::set derivative for holding MySQL data sets. More...

`#include <myset.h>`

Inheritance diagram for mysqlpp::Set< Container >:
[legend]
Collaboration diagram for mysqlpp::Set< Container >:
[legend]

## Public Member Functions
| Set ()
| Default constructor.
| Set (const char *str)
| Create object from a comma-separated list of values.
| Set (const std::string &str)
| Create object from a comma-separated list of values.
| Set (const String &str)
| Create object from a comma-separated list of values.
| operator std::string () const
| Convert this set's data to a string containing comma-separated items.
std::string | str () const
| Return our value in std::string form.

## Detailed Description

### template<class Container = std::set<std::string>>
class mysqlpp::Set< Container >

A special std::set derivative for holding MySQL data sets.

The documentation for this class was generated from the following file:

- myset.h